﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConverterDemo
{
    public class Model : INotifyPropertyChanged
    {
        private Dictionary<string, string> _val;

        public Dictionary<string, string> Val
        {
            get
            {
                return _val;
            }
            set
            {
                _val = value;
                RaisePropertyChanged("Val");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(string v)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this,new PropertyChangedEventArgs(v));
        }

    }
}
