﻿using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace ConverterDemo
{
    public class ViewModel : INotifyPropertyChanged
    {
        ObservableCollection<Model> collection;
        public List<Dictionary<string, string>> List;
        Dictionary<string, string> dict;

        public ViewModel()
        {
            collection = new ObservableCollection<Model>();

            List = new List<Dictionary<string, string>>();
            List = GetItems();

            foreach(Dictionary<string,string> value in List)
            {
                collection.Add(new Model() { Val = value });
            }
        }
        private List<Dictionary<string, string>> GetItems()
        {
            List<Dictionary<string, string>> list1 = new List<Dictionary<string, string>>();
            dict = new Dictionary<string, string>();
            dict.Add("ID",  "41");
            dict.Add("FirstName", "Karl");
            dict.Add("LastName", "Briegel");
            dict.Add("StartDate", "2008 Jul");
            dict.Add("Tenure", "99");
            dict.Add("M0_F", "1.0");
            dict.Add("M1_F", "0");
            dict.Add("M2_F", "2.0");
            dict.Add("M3_F", "0");
            dict.Add("M4_F", "0");
            dict.Add("M5_F", "1");
            list1.Add(dict);

            dict = new Dictionary<string, string>();
            dict.Add("ID", "44");
            dict.Add("FirstName", "Florian");
            dict.Add("LastName", "Hauser");
            dict.Add("StartDate", "2008 Nov");
            dict.Add("Tenure", "0");
            dict.Add("M0_F", "0");
            dict.Add("M1_F", "2.0");
            dict.Add("M2_F", "2.0");
            dict.Add("M3_F", "0");
            dict.Add("M4_F", "3.0");
            dict.Add("M5_F", "1.0");
            list1.Add(dict);


            dict = new Dictionary<string, string>();
            dict.Add("ID", "66");
            dict.Add("FirstName", "Thorben");
            dict.Add("LastName", "Frey");
            dict.Add("StartDate", "2011 Aug");
            dict.Add("Tenure", "62");
            dict.Add("M0_F", "1.0");
            dict.Add("M1_F", "0");
            dict.Add("M2_F", "2.0");
            dict.Add("M3_F", "3.0");
            dict.Add("M4_F", "2.0");
            dict.Add("M5_F", "1.0");           
            list1.Add(dict);

            dict = new Dictionary<string, string>();
            dict.Add("ID", "70");
            dict.Add("FirstName", "Felix");
            dict.Add("LastName", "Grimme");
            dict.Add("StartDate", "2012 Feb");
            dict.Add("Tenure", "56");
            dict.Add("M0_F", "2.0");
            dict.Add("M1_F", "4.0");
            dict.Add("M2_F", "5.0");
            dict.Add("M3_F", "3.0");
            dict.Add("M4_F", "2.0");
            dict.Add("M5_F", "2.0");       
            list1.Add(dict);

            dict = new Dictionary<string, string>();
            dict.Add("ID", "79");
            dict.Add("FirstName", "Martin");
            dict.Add("LastName", "Lotz");
            dict.Add("StartDate", "2012 Sep");
            dict.Add("Tenure", "49");
            dict.Add("M0_F", "8.0");
            dict.Add("M1_F", "7.0");
            dict.Add("M2_F", "11.0");
            dict.Add("M3_F", "6.0");
            dict.Add("M4_F", "5.0");
            dict.Add("M5_F", "10.0");       
            list1.Add(dict);

            dict = new Dictionary<string, string>();
            dict.Add("ID", "116");
            dict.Add("FirstName", "Andreas");
            dict.Add("LastName", "Belling");
            dict.Add("StartDate", "2013 Oct");
            dict.Add("Tenure", "36");
            dict.Add("M0_F", "0");
            dict.Add("M1_F", "7.0");
            dict.Add("M2_F", "13.0");
            dict.Add("M3_F", "12.0");
            dict.Add("M4_F", "13.0");
            dict.Add("M5_F", "11.0");     
            list1.Add(dict);

            dict = new Dictionary<string, string>();
            dict.Add("ID", "135");
            dict.Add("FirstName", "Günter");
            dict.Add("LastName", "Schober");
            dict.Add("StartDate", "2014 Apr");
            dict.Add("Tenure", "30");
            dict.Add("M0_F", "5.0");
            dict.Add("M1_F", "10.0");
            dict.Add("M2_F", "9.0");
            dict.Add("M3_F", "13.0");
            dict.Add("M4_F", "7.0");
            dict.Add("M5_F", "8.0");        
            list1.Add(dict);

            dict = new Dictionary<string, string>();
            dict.Add("ID", "143");
            dict.Add("FirstName", "Alexander");
            dict.Add("LastName", "Jostes");
            dict.Add("StartDate", "2014 Jul");
            dict.Add("Tenure", "27");
            dict.Add("M0_F", "0");
            dict.Add("M1_F", "5.0");
            dict.Add("M2_F", "11.0");
            dict.Add("M3_F", "3.0");
            dict.Add("M4_F", "15.0");
            dict.Add("M5_F", "9.0");        
            list1.Add(dict);
    
            return list1;
        }

        public ObservableCollection<Model> Collection
        {
            get
            {
                return collection;
            }
            set
            {
                collection = value;
                RaisePropertyChanged("Collection");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(string name)
        {
            if(PropertyChanged != null)
                this.PropertyChanged(this,new PropertyChangedEventArgs(name));
        }

    }
}
